curl --request GET \
--url https://api.x.com/2/tweets/search/all \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/tweets/search/all"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/tweets/search/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"author_id": "2244994945",
"created_at": "Wed Jan 06 18:40:40 +0000 2021",
"id": "1346889436626259968",
"text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
"username": "XDevelopers"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"includes": {
"media": [
{
"type": "<string>",
"preview_image_url": "<string>",
"variants": [
{
"bit_rate": 123,
"content_type": "<string>",
"url": "<string>"
}
],
"height": 1,
"media_key": "<string>",
"width": 1
}
],
"places": [
{
"full_name": "Lakewood, CO",
"id": "f7eb2fa2fea288b1",
"contained_within": [
"f7eb2fa2fea288b1"
],
"country": "United States",
"country_code": "US",
"geo": {
"bbox": [
-105.193475,
39.60973,
-105.053164,
39.761974
],
"properties": {},
"type": "Feature",
"geometry": {
"coordinates": [
-105.18816086351444,
40.247749999999996
],
"type": "Point"
}
},
"name": "Lakewood",
"place_type": "city"
}
],
"polls": [
{
"id": "1365059861688410112",
"options": [
{
"label": "<string>",
"position": 123,
"votes": 123
}
],
"duration_minutes": 5042,
"end_datetime": "2023-11-07T05:31:56Z",
"voting_status": "open"
}
],
"topics": [
{
"id": "<string>",
"name": "Technology",
"description": "All about technology"
}
],
"tweets": [
{
"author_id": "2244994945",
"created_at": "Wed Jan 06 18:40:40 +0000 2021",
"id": "1346889436626259968",
"text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
"username": "XDevelopers"
}
],
"users": [
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
]
},
"meta": {
"newest_id": "<string>",
"next_token": "<string>",
"oldest_id": "<string>",
"result_count": 123
}
}{
"code": 123,
"message": "<string>"
}सभी पोस्ट्स खोजें
खोज क्वेरी से मेल खाने वाले पोस्ट्स को पूरे आर्काइव से प्राप्त करता है।
प्राधिकरण
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
क्वेरी पैरामीटर
पोस्ट्स से मिलान करने के लिए एक क्वेरी/नियम/फ़िल्टर। अधिकतम क्वेरी लंबाई जानने के लिए https://t.co/rulelength देखें।
1 - 4096"(from:TwitterDev OR from:TwitterAPI) has:media -is:retweet"
YYYY-MM-DDTHH:mm:ssZ. वह सबसे पुराना UTC टाइमस्टैम्प, जिससे पोस्ट्स उपलब्ध कराए जाएंगे। टाइमस्टैम्प सेकंड-स्तरीय सटीकता का है और समावेशी है (अर्थात 12:00:01 में मिनट का पहला सेकंड शामिल होता है)।
YYYY-MM-DDTHH:mm:ssZ. वह सबसे नया, सबसे हाल का UTC टाइमस्टैम्प, जहां तक के पोस्ट्स उपलब्ध कराए जाएंगे। टाइमस्टैम्प सेकंड-स्तरीय सटीकता का है और बहिष्कारी है (अर्थात 12:00:01 में मिनट का पहला सेकंड शामिल नहीं होता है)।
निर्दिष्ट ID से बड़ी (अर्थात उससे अधिक नई) पोस्ट ID वाले परिणाम लौटाता है। इस Tweet का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स में जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।
^[0-9]{1,19}$"1346889436626259968"
निर्दिष्ट ID से छोटी (अर्थात उससे अधिक पुरानी) पोस्ट ID वाले परिणाम लौटाता है। इस Tweet का विशिष्ट पहचानकर्ता। इसे स्ट्रिंग के रूप में लौटाया जाता है, ताकि उन भाषाओं और टूल्स में जटिलताओं से बचा जा सके जो बड़े पूर्णांकों को संभाल नहीं सकते।
^[0-9]{1,19}$"1346889436626259968"
किसी अनुरोध द्वारा लौटाए जाने वाले खोज परिणामों की अधिकतम संख्या।
10 <= x <= 500इस पैरामीटर का उपयोग परिणामों का अगला 'पेज' प्राप्त करने के लिए किया जाता है। इस पैरामीटर के साथ उपयोग किया जाने वाला मान API द्वारा दिए गए रिस्पॉन्स से सीधे लिया जाता है और इसे संशोधित नहीं किया जाना चाहिए। एक base36 पेजिनेशन टोकन।
1इस पैरामीटर का उपयोग परिणामों का अगला 'पेज' प्राप्त करने के लिए किया जाता है। इस पैरामीटर के साथ उपयोग किया जाने वाला मान API द्वारा दिए गए रिस्पॉन्स से सीधे लिया जाता है और इसे संशोधित नहीं किया जाना चाहिए। एक base36 पेजिनेशन टोकन।
1वह क्रम जिसमें परिणाम लौटाए जाएं।
recency, relevancy दिखाने के लिए Tweet फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Tweet ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1article, attachments, author_id, card_uri, community_id, context_annotations, conversation_id, created_at, display_text_range, edit_controls, edit_history_tweet_ids, entities, geo, id, in_reply_to_user_id, lang, media_metadata, non_public_metrics, note_tweet, organic_metrics, possibly_sensitive, promoted_metrics, public_metrics, referenced_tweets, reply_settings, scopes, source, suggested_source_links, suggested_source_links_with_counts, text, withheld [
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]
विस्तार के लिए फ़ील्ड्स की अल्पविराम से अलग की गई सूची। Tweet ऑब्जेक्ट के लिए उन फ़ील्ड्स की सूची जिनका आप विस्तार कर सकते हैं। अगर किसी फ़ील्ड में ID है, तो उसका विस्तार करके उसे पूर्ण ऑब्जेक्ट के रूप में प्राप्त किया जा सकता है।
1article.cover_media, article.media_entities, attachments.media_keys, attachments.media_source_tweet, attachments.poll_ids, author_id, edit_history_tweet_ids, entities.mentions.username, geo.place_id, in_reply_to_user_id, entities.note.mentions.username, referenced_tweets.id, referenced_tweets.id.attachments.media_keys, referenced_tweets.id.author_id [
"article.cover_media",
"article.media_entities",
"attachments.media_keys",
"attachments.media_source_tweet",
"attachments.poll_ids",
"author_id",
"edit_history_tweet_ids",
"entities.mentions.username",
"geo.place_id",
"in_reply_to_user_id",
"entities.note.mentions.username",
"referenced_tweets.id",
"referenced_tweets.id.attachments.media_keys",
"referenced_tweets.id.author_id"
]
प्रदर्शित करने के लिए Media फ़ील्ड्स की अल्पविराम-से-अलग सूची। Media ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1alt_text, duration_ms, height, media_key, non_public_metrics, organic_metrics, preview_image_url, promoted_metrics, public_metrics, type, url, variants, width [
"alt_text",
"duration_ms",
"height",
"media_key",
"non_public_metrics",
"organic_metrics",
"preview_image_url",
"promoted_metrics",
"public_metrics",
"type",
"url",
"variants",
"width"
]
प्रदर्शित करने के लिए Poll फ़ील्ड्स की अल्पविराम-से-अलग सूची। Poll ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1duration_minutes, end_datetime, id, options, voting_status [
"duration_minutes",
"end_datetime",
"id",
"options",
"voting_status"
]
दिखाने के लिए User फ़ील्ड्स की अल्पविराम से अलग की गई सूची। User ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1affiliation, confirmed_email, connection_status, created_at, description, entities, id, is_identity_verified, location, most_recent_tweet_id, name, parody, pinned_tweet_id, profile_banner_url, profile_image_url, protected, public_metrics, receives_your_dm, subscription, subscription_type, url, username, verified, verified_followers_count, verified_type, withheld [
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
प्रदर्शित करने के लिए Place फ़ील्ड्स की अल्पविराम-से-अलग सूची। Place ऑब्जेक्ट के लिए उपलब्ध फ़ील्ड्स।
1contained_within, country, country_code, full_name, geo, id, name, place_type [
"contained_within",
"country",
"country_code",
"full_name",
"geo",
"id",
"name",
"place_type"
]
प्रतिक्रिया
अनुरोध सफल रहा।
1Show child attributes
Show child attributes
1IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes